summaryrefslogtreecommitdiff
path: root/support/vc/svn-unix/vc
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/vc/svn-unix/vc
Initial commit
Diffstat (limited to 'support/vc/svn-unix/vc')
-rw-r--r--support/vc/svn-unix/vc24
1 files changed, 24 insertions, 0 deletions
diff --git a/support/vc/svn-unix/vc b/support/vc/svn-unix/vc
new file mode 100644
index 0000000000..5d447eb283
--- /dev/null
+++ b/support/vc/svn-unix/vc
@@ -0,0 +1,24 @@
+#!/bin/sh
+# This is file 'vc' from the vc bundle for TeX.
+# The original file can be found at CTAN:support/vc.
+# This file is Public Domain.
+
+# Parse command line options.
+full=0
+mod=0
+while [ -n "$(echo $1 | grep '-')" ]; do
+ case $1 in
+ -f ) full=1 ;;
+ -m ) mod=1 ;;
+ * ) echo 'usage: vc [-f] [-m]'
+ exit 1
+ esac
+ shift
+done
+# English locale.
+LC_ALL=C
+svn info -R . |gawk -v script=info -v full=$full -f vc-svn.awk > vc.tex
+if [ "$mod" = 1 ]
+then
+ svn status |gawk -v script=status -f vc-svn.awk >> vc.tex
+fi